description: The base profile extended by other profiles
skeleton:
  executable:
  - '**/gradlew*'
  - '**/grailsw*'
  binaryExtensions:
  - png
  - gif
  - jpg
  - jpeg
  - ico
  - icns
  - pdf
  - zip
  - jar
  - class
repositories:
- mavenCentral()
build:
  repositories:
  - mavenCentral()
  - gradlePluginPortal()
  plugins:
  - eclipse
  - idea
dependencies:
- scope: build
  coords: org.graceframework:grace-gradle-plugin:@grace.version@
- scope: testCompile
  coords: org.graceframework:grace-test-support
- scope: testCompile
  coords: org.mockito:mockito-core
name: base
extends: ''
commands:
  dependency-report: dependency-report.groovy
  stats: stats.groovy
  shell: shell.groovy
  run-script: run-script.groovy
  test-app: test-app.groovy
  about: about.groovy
  assemble: assemble.groovy
  create-script: create-script.groovy
  run-app: run-app.groovy
  bug-report: bug-report.groovy
  stop-app: stop-app.groovy
  console: console.groovy
  run-command: run-command.groovy
  package: package.yml
  create-plugin: create-plugin.yml
  compile: compile.yml
  create-command: create-command.yml
  create-domain-class: create-domain-class.yml
  clean: clean.yml
  create-unit-test: create-unit-test.yml
features:
  provided:
  - async
  - cache
  - hibernate
  - json-views
  - asset-pipeline
  - database-migration
  - markup-views
  - mongodb
  - geb
  - gsp
  - events
templates:
- artifacts/Command.groovy
- artifacts/Script.groovy
- artifacts/Plugin.groovy
- artifacts/DomainClass.groovy
- testing/UnitTest.groovy
- testing/Generic.groovy
- testing/DomainClass.groovy
